Subject: Re: [PATCH v5 00/44] Make git-am a builtin

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Jul 2015 00:48:06 -0700

Junio C Hamano <[email-masked]> writes:

> Paul Tan <[email-masked]> writes:
>
>> This patch series rewrites git-am.sh into optimized C builtin/am.c, and is
>> part of my GSoC project to rewrite git-pull and git-am into C builtins[1].
>
> I merged this to 'jch' (that is somewhere in between 'next' and
> 'pu', which is what I use for everyday work) and tried it to apply
> the 8-patch series that starts at $gmane/273622 on top of 912bd49.
>
> It appears that your builtin version makes "am -3s" barf at the
> [PATCH 7/8] in that series, complaining about lack of author
> identity.

$ git am -s ./+dt
...
error: patch failed: builtin/update-ref.c:421
error: builtin/update-ref.c: patch does not apply
Patch failed at 0007 update-ref and tag: add --create-reflog arg
The copy of the patch that failed is found in:.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
$ git am -3
git: builtin/am.c:1332: parse_mail: Assertion `!state->author_name'
failed.
Aborted (core dumped)